Subject: bug#9448: 24.0.50; Comments in Awk scripts not fontified with comment face

From: Glenn Morris <[email-masked]>
Date: Thu, 08 Sep 2011 17:50:36 -0400

Alan Mackenzie wrote:

> There's the rub.  The more such "tidying up" changes are made in
> savannah, the more difficult it becomes for me to synch changes with the
> upstream CC Mode.  There're already > 80 such differences in cc-mode.el
> alone.

(defvar foo)

works to silence the compiler since at least Emacs 21.4 (I think).

declare-function works since Emacs 23.1, and exists as a no-op in Emacs
22.2 and 22.3.

I hope that one day cc-bytecomp can just be removed. The part that deals
with "an older CC Mode with outdated macros [being] loaded during
compilation" is clever, but IMO just adds a bunch of complexity to solve
a problem that doesn't need solving. Files should be compiled in batch
mode in a separate Emacs instance.